package com.cygnusa.hyperm.wrappers;

import java.util.ArrayList;

public class OrderHistoryResponse {
    private String response;
    private String message;
    private String response_text;
    private int status;
    private ArrayList<OrderHistory> data;
    private String total;
    private String total_amount;
    private String current_amount;
    private String unapproved_amount;
    private String last_page;
    private String current_page;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponse_text() {
        return response_text;
    }

    public void setResponse_text(String response_text) {
        this.response_text = response_text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public ArrayList<OrderHistory> getData() {
        return data;
    }

    public void setData(ArrayList<OrderHistory> data) {
        this.data = data;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(String total_amount) {
        this.total_amount = total_amount;
    }

    public String getCurrent_amount() {
        return current_amount;
    }

    public void setCurrent_amount(String current_amount) {
        this.current_amount = current_amount;
    }

    public String getLast_page() {
        return last_page;
    }

    public void setLast_page(String last_page) {
        this.last_page = last_page;
    }

    public String getCurrent_page() {
        return current_page;
    }

    public void setCurrent_page(String current_page) {
        this.current_page = current_page;
    }

    public String getUnapproved_amount() {
        return unapproved_amount;
    }

    public void setUnapproved_amount(String unapproved_amount) {
        this.unapproved_amount = unapproved_amount;
    }
}
